FFTVanillaEngine Class Reference
Pricing engines » Vanilla option engines

FFT Pricing engine vanilla options under a Black Scholes process. More...

`#include <ql/experimental/variancegamma/fftvanillaengine.hpp>`

Inheritance diagram for FFTVanillaEngine:
[legend]

## Public Member Functions

| FFTVanillaEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process, Real logStrikeSpacing=0.001)
virtual std::auto_ptr< FFTEngine > | clone () const
Public Member Functions inherited from FFTEngine
| FFTEngine (const ext::shared_ptr< StochasticProcess1D > &process, Real logStrikeSpacing)
void | calculate () const
void | update ()
void | precalculate (const std::vector< ext::shared_ptr< Instrument > > &optionList)

## Protected Member Functions

virtual void | precalculateExpiry (Date d)
virtual std::complex< Real > | complexFourierTransform (std::complex< Real > u) const
virtual Real | discountFactor (Date d) const
virtual Real | dividendYield (Date d) const
Protected Member Functions inherited from FFTEngine
void | calculateUncached (const ext::shared_ptr< StrikedTypePayoff > &payoff, const ext::shared_ptr< Exercise > &exercise) const

## Additional Inherited Members

Protected Attributes inherited from FFTEngine
ext::shared_ptr< StochasticProcess1D > | process_
Real | lambda_

## Detailed Description

FFT Pricing engine vanilla options under a Black Scholes process.

Tests:
  the correctness of the returned values is tested by comparison with Black Scholes pricing.